#ifndef __GP3_H
#define __GP3_H
#include <Arduino.h>
#include <SoftwareSerial.h>

class GP3
{
 private:
  SoftwareSerial port; 
  void setarg(unsigned int arg);
public:
 GP3(int rx, int tx) : port(rx,tx) 
    {
      port.begin(57600);
    }
  unsigned int readWord(void);
  void setLED(boolean onoff);
  unsigned int a2d(int chan);
  void high(int pin);
  void low(int pin);
  void toggle(int pin);
  int input(int pin);
  
  void listen(void) 
  {
    port.listen();
  }
  boolean isListening()
  {
    return port.isListening();
  }
  
    
    
  
  
};




#endif
